cabal-install-solver-3.12.1.0: The command-line interface for Cabal and Hackage.

Safe Haskell | None
Language | Haskell2010

Distribution.Solver.Types.InstSolverPackage

Synopsis

- data InstSolverPackage = InstSolverPackage {
  - instSolverPkgIPI :: InstalledPackageInfo
  - instSolverPkgLibDeps :: ComponentDeps [SolverId]
  - instSolverPkgExeDeps :: ComponentDeps [SolverId]
  }

# Documentation

data InstSolverPackage #

An `InstSolverPackage` is a pre-existing installed package specified by the dependency solver.

Constructors

InstSolverPackage |

Fields

- instSolverPkgIPI :: InstalledPackageInfo
- instSolverPkgLibDeps :: ComponentDeps [SolverId]
- instSolverPkgExeDeps :: ComponentDeps [SolverId]

#### Instances

Instances details

HasMungedPackageId InstSolverPackage # |
Instance details Defined in Distribution.Solver.Types.InstSolverPackage Methods mungedId :: InstSolverPackage -> MungedPackageId #
HasUnitId InstSolverPackage # |
Instance details Defined in Distribution.Solver.Types.InstSolverPackage Methods installedUnitId :: InstSolverPackage -> UnitId #
Package InstSolverPackage # |
Instance details Defined in Distribution.Solver.Types.InstSolverPackage Methods packageId :: InstSolverPackage -> PackageIdentifier #
Structured InstSolverPackage # |
Instance details Defined in Distribution.Solver.Types.InstSolverPackage Methods structure :: Proxy InstSolverPackage -> Structure # structureHash' :: Tagged InstSolverPackage MD5
Binary InstSolverPackage # |
Instance details Defined in Distribution.Solver.Types.InstSolverPackage Methods put :: InstSolverPackage -> Put # get :: Get InstSolverPackage # putList :: [InstSolverPackage] -> Put #
Generic InstSolverPackage # |

Instance details

Defined in Distribution.Solver.Types.InstSolverPackage

Associated Types

type Rep InstSolverPackage |

Instance details

Defined in Distribution.Solver.Types.InstSolverPackage

type Rep InstSolverPackage = D1 ('MetaData "InstSolverPackage" "Distribution.Solver.Types.InstSolverPackage" "cabal-install-solver-3.12.1.0-BcLJX5rVQuejx1qrKAH5j" 'False) (C1 ('MetaCons "InstSolverPackage" 'PrefixI 'True) (S1 ('MetaSel ('Just "instSolverPkgIPI") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 InstalledPackageInfo) :*: (S1 ('MetaSel ('Just "instSolverPkgLibDeps") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (ComponentDeps [SolverId])) :*: S1 ('MetaSel ('Just "instSolverPkgExeDeps") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (ComponentDeps [SolverId])))))

Methods

from :: InstSolverPackage -> Rep InstSolverPackage x #

to :: Rep InstSolverPackage x -> InstSolverPackage #

Show InstSolverPackage # |
Instance details Defined in Distribution.Solver.Types.InstSolverPackage Methods showsPrec :: Int -> InstSolverPackage -> ShowS # show :: InstSolverPackage -> String # showList :: [InstSolverPackage] -> ShowS #
Eq InstSolverPackage # |
Instance details Defined in Distribution.Solver.Types.InstSolverPackage Methods (==) :: InstSolverPackage -> InstSolverPackage -> Bool # (/=) :: InstSolverPackage -> InstSolverPackage -> Bool #
type Rep InstSolverPackage # |

Instance details

Defined in Distribution.Solver.Types.InstSolverPackage

type Rep InstSolverPackage = D1 ('MetaData "InstSolverPackage" "Distribution.Solver.Types.InstSolverPackage" "cabal-install-solver-3.12.1.0-BcLJX5rVQuejx1qrKAH5j" 'False) (C1 ('MetaCons "InstSolverPackage" 'PrefixI 'True) (S1 ('MetaSel ('Just "instSolverPkgIPI") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 InstalledPackageInfo) :*: (S1 ('MetaSel ('Just "instSolverPkgLibDeps") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (ComponentDeps [SolverId])) :*: S1 ('MetaSel ('Just "instSolverPkgExeDeps") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (ComponentDeps [SolverId])))))